Loading...
Searching...
No Matches
BALL::MutableConstant< DataType > Class Template Reference

`#include <BALL/MATHS/function.h>`

## Public Member Functions

Constructors and destructor
| MutableConstant ()
| MutableConstant (const MutableConstant< DataType > &constant)
| MutableConstant (DataType constant)
virtual | ~MutableConstant ()
Assignment
MutableConstant< DataType > & | operator= (const MutableConstant< DataType > &constant)
Predicates
bool | operator== (const MutableConstant< DataType > &constant) const
Function realization
BALL_INLINE DataType | operator() (const DataType &) const

## Accessors

DataType | constant_
void | setConstant (DataType constant)
const DataType & | getConstant () const

## Detailed Description

template<typename DataType = float>
class BALL::MutableConstant< DataType >

Constant function class. This class represents constants that are not known at compile time but must be set at running time.

Definition at line 49 of file function.h.

## Constructor & Destructor Documentation

## MutableConstant() [1/3]

template<typename DataType>

BALL_INLINE BALL::MutableConstant< DataType >::MutableConstant | ( |  | ) |

Default constructor

Definition at line 985 of file function.h.

## MutableConstant() [2/3]

template<typename DataType>

BALL_INLINE BALL::MutableConstant< DataType >::MutableConstant | ( | const MutableConstant< DataType > & | constant | ) |

Copy constructor

Definition at line 992 of file function.h.

## MutableConstant() [3/3]

template<typename DataType>

BALL_INLINE BALL::MutableConstant< DataType >::MutableConstant | ( | DataType | constant | ) |

Detailed constructor

Definition at line 1000 of file function.h.

## ~MutableConstant()

template<typename DataType>

BALL_INLINE BALL::MutableConstant< DataType >::~MutableConstant | ( |  | ) |

virtual

Destructor

Definition at line 1007 of file function.h.

## Member Function Documentation

## getConstant()

template<typename DataType = float>

const DataType & BALL::MutableConstant< DataType >::getConstant | ( |  | ) | const

inline

Get the constant argument of the constant

Returns
  a const reference to the constant argument

Definition at line 123 of file function.h.

## operator()()

template<typename DataType = float>

BALL_INLINE DataType BALL::MutableConstant< DataType >::operator() | ( | const DataType & |  | ) | const

inline

Evaluation of this subterm

Parameters

  x | the point where to evaluate

Returns
  the function value

Definition at line 103 of file function.h.

## operator=()

template<typename DataType>

BALL_INLINE MutableConstant< DataType > & BALL::MutableConstant< DataType >::operator= | ( | const MutableConstant< DataType > & | constant | ) |

Assignment operator

Definition at line 1013 of file function.h.

## operator==()

template<typename DataType>

BALL_INLINE bool BALL::MutableConstant< DataType >::operator== | ( | const MutableConstant< DataType > & | constant | ) | const

Equality operator

Definition at line 1022 of file function.h.

## setConstant()

template<typename DataType = float>

void BALL::MutableConstant< DataType >::setConstant | ( | DataType | constant | ) |

inline

Set the constant argument of the constant

Definition at line 115 of file function.h.

## Member Data Documentation

## constant_

template<typename DataType = float>

DataType BALL::MutableConstant< DataType >::constant_

protected

Definition at line 134 of file function.h.